// src/App.js
import React from 'react';
import { BrowserRouter as Router, Routes, Route, Navigate } from 'react-router-dom';
import Navbar from './components/Navbar';
import PatientsList from './pages/PatientsList';
import Appointments from './pages/Appointments';

export default function App() {
  return (
    <Router>
      <Navbar />

      <div className="container mx-auto p-4">
        <Routes>
          <Route path="/patients" element={<PatientsList />} />
          <Route path="/appointments" element={<Appointments />} />
          <Route path="/" element={<Navigate to="/patients" replace />} />
        </Routes>
      </div>
    </Router>
  );
}
