// src/components/Navbar.jsx
import React from 'react';
import { NavLink } from 'react-router-dom';

export default function Navbar() {
  return (
    <nav className="bg-white shadow px-4 py-3 flex space-x-4">
      <NavLink
        to="/patients"
        className={({ isActive }) =>
          isActive
            ? 'text-blue-500 font-semibold'
            : 'text-gray-600 hover:text-blue-500'
        }
      >
        Patients
      </NavLink>
      <NavLink
        to="/appointments"
        className={({ isActive }) =>
          isActive
            ? 'text-blue-500 font-semibold'
            : 'text-gray-600 hover:text-blue-500'
        }
      >
        Appointments
      </NavLink>
    </nav>
  );
}
