// src/services/api.js
import axios from 'axios';

const api = axios.create({
  baseURL: 'http://localhost:5000',  // آدرس سرور بک‌اند شما
});

export const fetchPatients  = () => api.get('/patients');
export const createPatient  = data => api.post('/patients', data);
export const updatePatient  = (id, data) => api.put(`/patients/${id}`, data);
export const deletePatient  = id => api.delete(`/patients/${id}`);

export const fetchAppointments       = params => api.get('/appointments', { params });
export const createAppointment       = data => api.post('/appointments', data);
export const updateAppointment       = (id, data) => api.put(`/appointments/${id}`, data);
export const deleteAppointment       = id => api.delete(`/appointments/${id}`);
export const fetchPatientAppointments = patientId =>
  api.get(`/patients/${patientId}/appointments`);
